<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEquipEditView9Base from './emequip-edit-view9-base.vue';

import view_form from '@widgets/emequip/main3-form/main3-form.vue';

/**
 * 设备档案编辑视图
 *
 * @export
 * @class EMEquipEditView9
 * @extends {EMEquipEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEquipEditView9 extends EMEquipEditView9Base { }
</script>